Skip to main content
Operations Management/Tenant Management (Plus)/Organization Operations
GETOrganization OperationsSince 4.0.0SynchronousAuth Required

GetIAM2OrganizationVirtualIDNumber

GetIAM2OrganizationVirtualIDNumber

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Query Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The UUID of the organization.

Query Parameters

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • virtualTotalNumberIntegerRequired

    虚拟总数量。

  • virtualDirectNumberIntegerRequired

    No description provided.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

Endpoint

GET/zstack/v1/iam2/organizations/{uuid}/virtualIDNumber

/zstack/v1/iam2/organizations/{uuid}/virtualIDNumber

Operation ID

GetIAM2OrganizationVirtualIDNumber

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/iam2/organizations/{uuid}/virtualIDNumber?systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "virtualTotalNumber": 0.0, "virtualDirectNumber": 0.0 }

Change History

This API has no change history records yet.

View all change history